#include "MetaGameScreen.h"

MetaGameScreen::MetaGameScreen(MenuItem* m) : MenuItem(m){
Setup();
}

MetaGameScreen::MetaGameScreen(MenuItem* m,int a,int s) : MenuItem(m,a,s){
	Setup();
}

MetaGameScreen::~MetaGameScreen() {

}

void MetaGameScreen::Setup(){
	lpressed = rpressed = escpressed = tpressed = false;//bitmask this lot
	//tatusPanel = new StatusPanel(screen_width, 160/*ScreenHeight*/, 0, (LEVEL_Y_SIZE - Y_OFFSET) * 2, samples,
	//		zoom);
}

void MetaGameScreen::KeyUp(int k){
	if(k == SDLK_LEFT){
		lpressed = false;
	}else if(k == SDLK_RIGHT){
		rpressed = false;
	}else if(k == SDLK_ESCAPE){
		escpressed = false;
	}else if(k == SDLK_t){
		tpressed = false;
	}else if(k == SDLK_c){

	}
	MenuItem::KeyUp(k);
}

void MetaGameScreen::KeyDown(int k){
	if(k == SDLK_LEFT){
		lpressed = true;
	}else if(k == SDLK_RIGHT){
		rpressed = true;
	}else if(k == SDLK_ESCAPE){
		escpressed = true;
	}else if(k == SDLK_t){
		tpressed = true;
	}else if(k == SDLK_c){

	}
	MenuItem::KeyDown(k);
}

void MetaGameScreen::DrawMousePointer(SDL_Surface* screen){
	game->DrawCursor(screen);
}

void MetaGameScreen::DoKeyPresses(){
	if(lpressed){
#if PLATFORM_PANDORA
		game->Scroll(-10);
#else
		game->SelectItem(-1);
		lpressed = false;
#endif
	}
	else if(rpressed){
#if PLATFORM_PANDORA
		game->Scroll(10);
#else
		game->SelectItem(1);
		rpressed = false;
#endif
	}
	else if(tpressed){
		game->SetInspectLemmingMode(!game->GetInspectLemmingMode());
		tpressed = false;
	}
}

void MetaGameScreen::SuperSpeed(){
	speed = 0;
}

void MetaGameScreen::SetNormalSpeed(){
	speed = game_frame_mult;
}

