/*
 * TwoPlayerSetupScreen.cpp
 *
 *  Created on: 10 Dec 2009
 *      Author: math
 */

#include "TwoPlayerSetupScreen.h"

TwoPlayerSetupScreen::TwoPlayerSetupScreen(MenuItem* newParent) : MenuItem(newParent) {
	serverLevelSelect = new ServerLevelSelect(this);
	clientSetup = new ClientSetup(this);

	AddClickArea(10,screen_height - 40,40,40, "<<", &MenuItem::GoBack );

	int xoff = (screen_width - 260) /2 ;
    AddClickArea(xoff,220,100,50,"Server", serverLevelSelect);
	AddClickArea(xoff + 130,220,100,50,"Client", clientSetup);

	showfocusrect = true;
}

TwoPlayerSetupScreen::~TwoPlayerSetupScreen() {
	printf("Desctructor for TwoPlayerSetupScreen\n");
	delete(serverLevelSelect);
	delete(clientSetup);
}

void TwoPlayerSetupScreen::DrawSelf(SDL_Surface* screen){
	std::stringstream stream;
 	stream.clear();

 	if(forceRedraw){
 		forceRedraw = false;
		TileBackground(screen);

		stream.str("");
#ifdef PLATFORM_PANDORA
		stream << "Click server or client below:";
#else
		stream << "Tap on server or client below:";
#endif
		fontRenderer->RenderString(screen, stream.str(), 0,  140-FontHeight-2, BLUE, CENTER);
 	}
}

void TwoPlayerSetupScreen::HandleKey(int k){
}

void TwoPlayerSetupScreen::HandleMouse(int mx,int my,long lb,long rb){

}

void TwoPlayerSetupScreen::Init(){
	MenuItem::Init();
}

