/*
 * MenuItem.h
 *
 *  Created on: 10 Dec 2009
 *      Author: mat
 */

#ifndef CONFIGURATION_H_
#define CONFIGURATION_H_

#include <vector>
#include <sstream>

using namespace std;

class Configuration {
public:
	Configuration();
	void SetLevelComplete(int level);
	bool GetLevelComplete(int level);

	void SetServerIP(string);
	string GetServerIP();

	void SetFS(bool);
	bool GetFS();

	bool Save();
	bool Load();
protected:

private:
	string filename;

	vector<int> levelsCompleted;
	string serverIP;

	int fullscreen;
};

#endif /* CONFIGURATION_H_ */
