/*
 * ClientGameScreen.cpp
 *
 *  Created on: 21 Dec 2009
 *      Author: mat
 */

#include "ClientGameScreen.h"

ClientGameScreen::ClientGameScreen(MenuItem* momma) : OnePlayerGameScreen(momma) {
	gameOverScreen = new MultiplayerGameOverScreen(momma);
	fadespeed = 15;
}

ClientGameScreen::~ClientGameScreen() {
	delete(gameOverScreen);
}

void ClientGameScreen::DrawSelf(SDL_Surface* screen){
	if(leftclick) sendClick = true;

	DoKeyPresses();

	if(frameCount == game_frame_mult){
		game->SetMouseClick(mouse_x, mouse_y, sendClick);

		if(scrlock() && !game->AnimateFrame())
		{
			//game->CloseConnection();
			SetCurrentScreen(gameOverScreen);
		}
		frameCount = 0;
		forceRedraw = true;
		sendClick = false;
	}
	else{
		frameCount++;
	}

	if(forceRedraw || !scrlock())
	{
		game->Draw(screen);
	}
}


MenuItem* ClientGameScreen::SendEscape() {
	return this;
}

void ClientGameScreen::Init(){
	OnePlayerGameScreen::Init();
}
