/*
 * OnePlayerLevelSelect.h
 *
 *  Created on: 10 Dec 2009
 *      Author: math
 */

#ifndef ONEPLAYERLEVELSELECT_H_
#define ONEPLAYERLEVELSELECT_H_

#include "MenuItem.h"
#include "OnePlayerGameScreen.h"

class OnePlayerLevelSelect: public MenuItem {
public:
	OnePlayerLevelSelect(MenuItem*);
	virtual ~OnePlayerLevelSelect();
	void SetLevelInformation(std::string, int, int, int, int,  std::string);
	void Init();

	void GoForward();
protected:
	void DrawSelf(SDL_Surface*);
	void HandleKey(int);
	void HandleMouse(int,int,long,long);
	void OnGoForward();

private:
	int levelNumber;
	std::string title;
	int numberOfLemmings;
	int precentToBeSaved;
	int timeRemaining;
	int releaseRate;
	int time;
	int rating;
	OnePlayerGameScreen* gameScreenObject;
	int gameScreen;

	int xoffset;

	SDL_Surface* completed;
};

#endif /* ONEPLAYERLEVELSELECT_H_ */
